curl --request GET \
--url https://flowra.dev/api/v1/workflow/manager/list \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/workflow/manager/list"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/workflow/manager/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": "",
"name": "",
"description": "",
"projectId": "",
"workflowType": "static",
"triggers": [
{
"kind": "manual",
"expression": "",
"timezone": "",
"toolSlug": "",
"triggerToolInput": {},
"triggerId": "",
"toolkitName": "",
"toolkitLogo": ""
}
],
"agent": {
"prompt": "",
"modelSettings": {},
"capabilities": {},
"behavior": {},
"identity": {},
"skillIds": [
""
],
"subAgentIds": [
""
],
"knowledgeCollectionIds": [
""
],
"databaseCollectionIds": [
""
],
"databaseAccessPolicies": {},
"starterPrompts": [
""
],
"avatarUrl": "",
"tools": {
"mode": "NORMAL",
"discoveryWhitelist": true,
"pinnedSlugs": [
""
],
"externalMcpConfigs": [
""
],
"connectionCallbackUrl": "",
"visitorOwnerConnections": {}
},
"inputSchema": {},
"outputSchema": {}
},
"graph": {
"nodes": [
{
"id": "",
"type": "action",
"toolSlug": "",
"inputMapping": {},
"code": "",
"agent": {},
"outputSchema": {}
}
],
"edges": [
{
"from": "",
"to": "",
"condition": ""
}
],
"inputSchema": {},
"outputSchema": {}
},
"provenance": {
"createdByAgent": true,
"productCreationDepth": 0,
"createdFromWorkflowId": "",
"hideFromAgentPicker": true,
"marketplaceClone": {
"sourceWorkflowId": "",
"clonedAt": "",
"skillIdMap": {},
"knowledgeIdMap": {},
"databaseIdMap": {},
"subAgentIdMap": {},
"avatarFileIdMap": {},
"setupState": {
"answers": {},
"completedStepIds": []
}
}
},
"isActive": true,
"lifecycle": "draft",
"isPublic": true,
"version": "",
"clonedFromWorkflowId": "",
"clonedFromVersion": "1.0.1",
"executionCount": 0,
"lastExecutedAt": "",
"tools": [
{
"toolSlug": "",
"toolName": "",
"toolkitName": "",
"toolkitLogo": ""
}
],
"subAgents": [
""
],
"marketplaceCategory": "",
"marketplaceAudience": "",
"marketplaceTagline": "",
"marketplaceSetupGuide": "",
"marketplaceSetupSpec": {},
"marketplaceSetupSkillId": "",
"marketplaceSetupSkillSlug": "",
"marketplaceHighlights": [
""
],
"marketplaceIsListed": true,
"marketplaceCapabilities": {
"hasSkills": true,
"skillCount": 0,
"hasKnowledge": true,
"hasDatabase": true,
"hasCron": true,
"requiresAuth": true,
"toolkitCount": 0,
"subAgentCount": 0,
"toolCount": 0
},
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"total": 100,
"totalTools": 5000,
"page": 1,
"limit": 20,
"totalPages": 5,
"hasNextPage": true,
"hasPreviousPage": false
}Get workflow list
List your workflows (agents) with pagination and filters. Each workflow can be run manually or by triggers.
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Headers
External user (end user) to act as. Optional — if omitted, Flowra uses the project’s default external user. Send a stable username (e.g. customer_alice) only when you need another end-user context.
Query Parameters
Search keyword for filtering results
"john doe"
Page number (1-based)
x >= 11
Number of items per page
1 <= x <= 10020
Number of items to skip (for offset-based pagination)
x >= 00
Field name to sort by
"createdAt"
Sort order
ASC, DESC "DESC"
Comma-separated list of fields to include in response
"id,name,email"
Project ID to filter workflows by
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Filter by workflow type
static, agent "static"
Filter by active status (true | false)
true, false "true"
Filter by completeness lifecycle (draft | ready)
draft, ready "draft"
Response
Workflows retrieved successfully
Success status
true
Response message
"Data retrieved successfully"
Array of items
Show child attributes
Show child attributes
[ { "id": "", "name": "", "description": "", "projectId": "", "workflowType": "static", "triggers": [ { "kind": "manual", "expression": "", "timezone": "", "toolSlug": "", "triggerToolInput": {}, "triggerId": "", "toolkitName": "", "toolkitLogo": "" } ], "agent": { "prompt": "", "modelSettings": {}, "capabilities": {}, "behavior": {}, "identity": {}, "skillIds": [""], "subAgentIds": [""], "knowledgeCollectionIds": [""], "databaseCollectionIds": [""], "databaseAccessPolicies": {}, "starterPrompts": [""], "avatarUrl": "", "tools": { "mode": "NORMAL", "discoveryWhitelist": true, "pinnedSlugs": [""], "externalMcpConfigs": [""], "connectionCallbackUrl": "", "visitorOwnerConnections": {} }, "inputSchema": {}, "outputSchema": {} }, "graph": { "nodes": [ { "id": "", "type": "action", "toolSlug": "", "inputMapping": {}, "code": "", "agent": {}, "outputSchema": {} } ], "edges": [{ "from": "", "to": "", "condition": "" }], "inputSchema": {}, "outputSchema": {} }, "provenance": { "createdByAgent": true, "productCreationDepth": 0, "createdFromWorkflowId": "", "hideFromAgentPicker": true, "marketplaceClone": { "sourceWorkflowId": "", "clonedAt": "", "skillIdMap": {}, "knowledgeIdMap": {}, "databaseIdMap": {}, "subAgentIdMap": {}, "avatarFileIdMap": {}, "setupState": { "answers": {}, "completedStepIds": [] } } }, "isActive": true, "lifecycle": "draft", "isPublic": true, "version": "", "clonedFromWorkflowId": "", "clonedFromVersion": "1.0.1", "executionCount": 0, "lastExecutedAt": "", "tools": [ { "toolSlug": "", "toolName": "", "toolkitName": "", "toolkitLogo": "" } ], "subAgents": [""], "marketplaceCategory": "", "marketplaceAudience": "", "marketplaceTagline": "", "marketplaceSetupGuide": "", "marketplaceSetupSpec": {}, "marketplaceSetupSkillId": "", "marketplaceSetupSkillSlug": "", "marketplaceHighlights": [""], "marketplaceIsListed": true, "marketplaceCapabilities": { "hasSkills": true, "skillCount": 0, "hasKnowledge": true, "hasDatabase": true, "hasCron": true, "requiresAuth": true, "toolkitCount": 0, "subAgentCount": 0, "toolCount": 0 }, "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-01T00:00:00.000Z" } ]
Total number of items across all pages
100
Optional secondary total (e.g. nested tools across all matching toolkits)
5000
Current page number (1-based)
1
Number of items per page
20
Total number of pages
5
Whether there is a next page
true
Whether there is a previous page
false
Was this page helpful?